- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter_loopback_interface – CLI command to add/remove vrouter-loopback-interface

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to add loopback interface to a vRouter or remove loopback interface from a vRouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_index string |  | loopback index from 1 to 255.
pn_ip string / required |  | loopback IP address.
pn_vrouter_name string / required |  | name of service config.
state string | Choices: present ← absent | State the action to perform. Use `present` to add vrouter-loopback-interface and `absent` to remove vrouter-loopback-interface.

## Examples

    - name: Add vrouter loopback interface
      pn_vrouter_loopback_interface:
        state: "present"
        pn_cliswitch: "sw01"
        pn_vrouter_name: "sw01-vrouter"
        pn_ip: "192.168.10.1"

    - name: Remove vrouter loopback interface
      pn_vrouter_loopback_interface:
        state: "absent"
        pn_cliswitch: "sw01"
        pn_vrouter_name: "sw01-vrouter"
        pn_ip: "192.168.10.1"
        pn_index: "2"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error response from the vrouter-loopback-interface command.
stdout list | always | set of responses from the vrouter-loopback-interface command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.